/*
 * @Date: 2024-09-25 11:14:29
 * @LastEditors: shirlwang
 * @LastEditTime: 2025-11-04 08:56:42
 */
import request from '@/utilsRc/request'

// 查询其他需求列表
export function listOtherService(query) {
  return request({
    url: '/demand/personOtherDemandInfo/list',
    method: 'get',
    params: query
  })
}

// 查询其他需求详细
export function getOtherService(ids) {
  return request({
    url: '/demand/personOtherDemandInfo/' + ids,
    method: 'get'
  })
}

// 新增其他需求
export function addOtherService(data) {
  return request({
    url: '/demand/personOtherDemandInfo',
    method: 'post',
    data: data
  })
}

// 修改其他需求
export function updateOtherService(data) {
  return request({
    url: '/demand/personOtherDemandInfo',
    method: 'put',
    data: data
  })
}

// 删除其他需求
export function delOtherService(ids) {
  return request({
    url: '/manage/personDemand/' + ids,
    method: 'delete'
  })
}

// 个人援助需求办结
export function finishOtherService(data) {
  return request({
    url: '/demand/personOtherDemandInfo/otherDemandDone',
    method: 'post',
    data: data
  })
}

